com.h3c.util.rs.auth

## Interface AuthConstants

-     public interface AuthConstants

  Various constants for use in coding authentication information in request header and for configuration purposes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTH_DOMAIN_ID` Authentication domain ID header parameter.
    `static String` | `AUTH_DOMAIN_NAME` Authentication domain name header parameter.
    `static String` | `AUTH_IDENTITY_CONFIRMED` Authentication status value representing confirmed identity.
    `static String` | `AUTH_IDENTITY_INVALID` Authentication status value representing invalid identity.
    `static String` | `AUTH_IDENTITY_STATUS` Authentication status header parameter.
    `static String` | `AUTH_RECORD` Authentication record.
    `static String` | `AUTH_ROLES` Authentication user roles header parameter, comma-separated roles.
    `static String` | `AUTH_USER_ID` Authentication user ID header parameter.
    `static String` | `AUTH_USER_NAME` Authentication user name header parameter.
    `static String` | `TOKEN` Credential (token) header parameter.

- - ### Field Detail

    - #### TOKEN

          static final String TOKEN

      Credential (token) header parameter.
      See Also:
        Constant Field Values

    - #### AUTH_IDENTITY_STATUS

          static final String AUTH_IDENTITY_STATUS

      Authentication status header parameter.
      See Also:
        Constant Field Values

    - #### AUTH_IDENTITY_INVALID

          static final String AUTH_IDENTITY_INVALID

      Authentication status value representing invalid identity.
      See Also:
        Constant Field Values

    - #### AUTH_IDENTITY_CONFIRMED

          static final String AUTH_IDENTITY_CONFIRMED

      Authentication status value representing confirmed identity.
      See Also:
        Constant Field Values

    - #### AUTH_DOMAIN_ID

          static final String AUTH_DOMAIN_ID

      Authentication domain ID header parameter.
      See Also:
        Constant Field Values

    - #### AUTH_DOMAIN_NAME

          static final String AUTH_DOMAIN_NAME

      Authentication domain name header parameter.
      See Also:
        Constant Field Values

    - #### AUTH_USER_ID

          static final String AUTH_USER_ID

      Authentication user ID header parameter.
      See Also:
        Constant Field Values

    - #### AUTH_USER_NAME

          static final String AUTH_USER_NAME

      Authentication user name header parameter.
      See Also:
        Constant Field Values

    - #### AUTH_ROLES

          static final String AUTH_ROLES

      Authentication user roles header parameter, comma-separated roles.
      See Also:
        Constant Field Values

    - #### AUTH_RECORD

          static final String AUTH_RECORD

      Authentication record.
      See Also:
        Constant Field Values

Copyright © 2014. All Rights Reserved.